Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000011Anope Development (1.7.x series)Otherpublic2004-04-04 12:082004-05-17 09:33
Reportertrystanscott@comcast.net 
Assigned Todenorastats.org 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSLinuxOS Version
Product Version1.7.0 
Target VersionFixed in Version 
Summary0000011: mysql query fails with md5 passwords
Description[Apr 04 12:55:47 2004] Can't create sql query: INSERT DELAYED INTO anope_ns_core
(display,pass,email,greet,icq,url,flags,language,accesscount,memocount,memomax,c
hannelcount,channelmax,active) VALUES
('Trystan',XÙ^U±òôösÐÐÐÐÐÐÐÐ,'trystan@nomadirc.net','','0','','49650','0','1','0
','20','0','20','1'): Success
[Apr 04 12:55:47 2004] MySQL query warning: You have an error in your SQL
syntax.
Check the manual that corresponds to your MySQL server version for the right
syntax to use near
'±òôösÐÐÐÐÐÐÐÐ,'trystan@nomadirc.net','','0','','49650','0','1',: Success
 
the password is not quoted those it throws an error, if the password is quoted
in mysql.c the problem goes away
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2004-04-05 13:25 denorastats.org AssignedTo dev@anope.org => dane@zero.org
2004-04-12 03:37 denorastats.org Status UNCONFIRMED => RESOLVED
2004-04-12 03:37 denorastats.org Resolution => FIXED
2004-05-17 04:33 bugs@teh-heinz0r.co.uk Status RESOLVED => CLOSED


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker